#!/usr/bin/env python
import os
import sys

import environ

DEFAULT_DJANGO_SETTINGS_MODULE = 'resthys.settings.production'

if __name__ == "__main__":
    env = environ.Env()

    # Load configuration from config.env file
    if env.bool('DJANGO_READ_CONFIG_FILE', default=True) and os.path.isfile(
        'config.env'
    ):
        env.read_env('config.env')

    # Set the default settings module to use
    os.environ.setdefault(
        'DJANGO_SETTINGS_MODULE',
        env('DJANGO_SETTINGS_MODULE', default=DEFAULT_DJANGO_SETTINGS_MODULE),
    )

    try:
        from django.core.management import execute_from_command_line
    except ImportError:
        # The above import may fail for some other reason. Ensure that the
        # issue is really that Django is missing to avoid masking other
        # exceptions on Python 2.
        try:
            import django  # noqa
        except ImportError:
            raise ImportError(
                "Couldn't import Django. Are you sure it's installed and "
                "available on your PYTHONPATH environment variable? Did you "
                "forget to activate a virtual environment?"
            )
        raise

    execute_from_command_line(sys.argv)
