# This is an auto-generated Django model module.
from django.db import models


class Abonnements(models.Model):
    id = models.AutoField(db_column='IDabonnement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    liste = models.ForeignKey('ListesDiffusion', on_delete=models.SET_NULL, db_column='IDliste', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'abonnements'


class Activites(models.Model):
    id = models.AutoField(db_column='IDactivite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    abrege = models.CharField(max_length=50, blank=True, null=True)
    coords_org = models.IntegerField(blank=True, null=True)
    rue = models.CharField(max_length=200, blank=True, null=True)
    cp = models.CharField(max_length=10, blank=True, null=True)
    ville = models.CharField(max_length=100, blank=True, null=True)
    tel = models.CharField(max_length=50, blank=True, null=True)
    fax = models.CharField(max_length=50, blank=True, null=True)
    email = models.EmailField(db_column='mail', max_length=100, blank=True, null=True)  # noqa
    site = models.CharField(max_length=100, blank=True, null=True)
    logo_org = models.IntegerField(blank=True, null=True)
    logo = models.BinaryField(blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    public = models.CharField(max_length=20, blank=True, null=True)
    vaccins_obligatoires = models.IntegerField(blank=True, null=True)
    date_creation = models.DateField(blank=True, null=True)
    nbre_inscrits_max = models.IntegerField(blank=True, null=True)
    code_comptable = models.CharField(max_length=450, blank=True, null=True)
    psu_activation = models.IntegerField(blank=True, null=True)
    psu_unite_prevision = models.IntegerField(blank=True, null=True)
    psu_unite_presence = models.IntegerField(blank=True, null=True)
    psu_tarif_forfait = models.IntegerField(blank=True, null=True)
    psu_etiquette_rtt = models.IntegerField(blank=True, null=True)
    portail_inscriptions_affichage = models.IntegerField(blank=True, null=True)  # noqa
    portail_inscriptions_date_debut = models.DateTimeField(blank=True, null=True)  # noqa
    portail_inscriptions_date_fin = models.DateTimeField(blank=True, null=True)  # noqa
    portail_reservations_affichage = models.IntegerField(blank=True, null=True)  # noqa
    portail_reservations_limite = models.CharField(max_length=20, blank=True, null=True)  # noqa
    portail_reservations_absenti = models.CharField(max_length=20, blank=True, null=True)  # noqa
    portail_unites_multiples = models.IntegerField(blank=True, null=True)
    regie = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'activites'


class AdressesMail(models.Model):
    id = models.AutoField(db_column='IDadresse', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    adresse = models.CharField(max_length=200, blank=True, null=True)
    motdepasse = models.CharField(max_length=200, blank=True, null=True)
    smtp = models.CharField(max_length=200, blank=True, null=True)
    port = models.IntegerField(blank=True, null=True)
    connexionssl = models.IntegerField(blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)
    connexionauthentifiee = models.IntegerField(db_column='connexionAuthentifiee', blank=True, null=True)  # Field name made lowercase.  # noqa
    starttls = models.IntegerField(db_column='startTLS', blank=True, null=True)  # Field name made lowercase.  # noqa
    utilisateur = models.CharField(max_length=200, blank=True, null=True)
    nom_adresse = models.CharField(max_length=200, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'adresses_mail'


class Agrements(models.Model):
    id = models.AutoField(db_column='IDagrement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    agrement = models.CharField(max_length=200, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'agrements'


class Aides(models.Model):
    id = models.AutoField(db_column='IDaide', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey('Familles', on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    caisse = models.ForeignKey('Caisses', on_delete=models.SET_NULL, db_column='IDcaisse', blank=True, null=True)  # Field name made lowercase.  # noqa
    montant_max = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    nbre_dates_max = models.IntegerField(blank=True, null=True)
    jours_scolaires = models.CharField(max_length=50, blank=True, null=True)
    jours_vacances = models.CharField(max_length=50, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'aides'


class AidesBeneficiaires(models.Model):
    id = models.AutoField(db_column='IDaide_beneficiaire', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    aide = models.ForeignKey(Aides, on_delete=models.SET_NULL, db_column='IDaide', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'aides_beneficiaires'


class AidesCombiUnites(models.Model):
    id = models.AutoField(db_column='IDaide_combi_unite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    aide = models.ForeignKey(Aides, on_delete=models.SET_NULL, db_column='IDaide', blank=True, null=True)  # Field name made lowercase.  # noqa
    aide_combi = models.ForeignKey('AidesCombinaisons', on_delete=models.SET_NULL, db_column='IDaide_combi', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite = models.ForeignKey('Unites', on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    class Meta:
        managed = False
        db_table = 'aides_combi_unites'


class AidesCombinaisons(models.Model):
    id = models.AutoField(db_column='IDaide_combi', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    aide = models.ForeignKey(Aides, on_delete=models.SET_NULL, db_column='IDaide', blank=True, null=True)  # Field name made lowercase.  # noqa
    aide_montant = models.ForeignKey('AidesMontants', on_delete=models.SET_NULL, db_column='IDaide_montant', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'aides_combinaisons'


class AidesMontants(models.Model):
    id = models.AutoField(db_column='IDaide_montant', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    aide = models.ForeignKey(Aides, on_delete=models.SET_NULL, db_column='IDaide', blank=True, null=True)  # Field name made lowercase.  # noqa
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    class Meta:
        managed = False
        db_table = 'aides_montants'


class Attestations(models.Model):
    id = models.AutoField(db_column='IDattestation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    numero = models.IntegerField(blank=True, null=True)
    famille = models.ForeignKey('Familles', on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_edition = models.DateField(blank=True, null=True)
    activites = models.CharField(max_length=500, blank=True, null=True)
    individus = models.CharField(max_length=500, blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    total = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    regle = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    solde = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    class Meta:
        managed = False
        db_table = 'attestations'


class BadgeageActions(models.Model):
    id = models.AutoField(db_column='IDaction', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    procedure = models.ForeignKey('BadgeageProcedures', on_delete=models.SET_NULL, db_column='IDprocedure', blank=True, null=True)  # Field name made lowercase.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    condition_activite = models.CharField(max_length=400, blank=True, null=True)  # noqa
    condition_heure = models.CharField(max_length=400, blank=True, null=True)  # noqa
    condition_periode = models.CharField(max_length=400, blank=True, null=True)  # noqa
    condition_poste = models.CharField(max_length=400, blank=True, null=True)  # noqa
    condition_questionnaire = models.CharField(max_length=490, blank=True, null=True)  # noqa
    action = models.CharField(max_length=400, blank=True, null=True)
    action_activite = models.CharField(max_length=450, blank=True, null=True)  # noqa
    action_unite = models.CharField(max_length=450, blank=True, null=True)
    action_etat = models.CharField(max_length=400, blank=True, null=True)
    action_demande = models.CharField(max_length=40, blank=True, null=True)
    action_heure_debut = models.CharField(max_length=450, blank=True, null=True)  # noqa
    action_heure_fin = models.CharField(max_length=450, blank=True, null=True)  # noqa
    action_message = models.CharField(max_length=450, blank=True, null=True)
    action_icone = models.CharField(max_length=400, blank=True, null=True)
    action_duree = models.CharField(max_length=50, blank=True, null=True)
    action_frequence = models.CharField(max_length=450, blank=True, null=True)  # noqa
    action_vocal = models.CharField(max_length=400, blank=True, null=True)
    action_question = models.CharField(max_length=450, blank=True, null=True)  # noqa
    action_date = models.CharField(max_length=450, blank=True, null=True)
    action_attente = models.CharField(max_length=450, blank=True, null=True)
    action_ticket = models.CharField(max_length=450, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'badgeage_actions'


class BadgeageArchives(models.Model):
    id = models.AutoField(db_column='IDarchive', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date_archivage = models.DateField(blank=True, null=True)
    codebarres = models.CharField(max_length=200, blank=True, null=True)
    date = models.DateField(blank=True, null=True)
    heure = models.CharField(max_length=50, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'badgeage_archives'


class BadgeageJournal(models.Model):
    id = models.AutoField(db_column='IDaction', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date = models.DateField(blank=True, null=True)
    heure = models.CharField(max_length=50, blank=True, null=True)
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu_0 = models.CharField(db_column='individu', max_length=450, blank=True, null=True)  # Field renamed because of name conflict.  # noqa
    action = models.CharField(max_length=450, blank=True, null=True)
    resultat = models.CharField(max_length=450, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'badgeage_journal'


class BadgeageMessages(models.Model):
    id = models.AutoField(db_column='IDmessage', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    procedure = models.ForeignKey('BadgeageProcedures', on_delete=models.SET_NULL, db_column='IDprocedure', blank=True, null=True)  # Field name made lowercase.  # noqa
    action = models.ForeignKey('PortailActions', on_delete=models.SET_NULL, db_column='IDaction', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    message = models.CharField(max_length=480, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'badgeage_messages'


class BadgeageProcedures(models.Model):
    id = models.AutoField(db_column='IDprocedure', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=450, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)
    style = models.CharField(max_length=400, blank=True, null=True)
    theme = models.CharField(max_length=400, blank=True, null=True)
    image = models.CharField(max_length=400, blank=True, null=True)
    systeme = models.CharField(max_length=400, blank=True, null=True)
    activites = models.CharField(max_length=400, blank=True, null=True)
    confirmation = models.IntegerField(blank=True, null=True)
    vocal = models.IntegerField(blank=True, null=True)
    tutoiement = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'badgeage_procedures'


class Banques(models.Model):
    id = models.AutoField(db_column='IDbanque', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    rue_resid = models.CharField(max_length=255, blank=True, null=True)
    cp_resid = models.CharField(max_length=10, blank=True, null=True)
    ville_resid = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'banques'


class Caisses(models.Model):
    id = models.AutoField(db_column='IDcaisse', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)
    regime = models.ForeignKey('Regimes', on_delete=models.SET_NULL, db_column='IDregime', blank=True, null=True)  # Field name made lowercase.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'caisses'


class CategoriesMedicales(models.Model):
    id = models.AutoField(db_column='IDcategorie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=300, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'categories_medicales'


class CategoriesTarifs(models.Model):
    id = models.AutoField(db_column='IDcategorie_tarif', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'categories_tarifs'


class CategoriesTarifsVilles(models.Model):
    id = models.AutoField(db_column='IDville', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    cp = models.CharField(max_length=10, blank=True, null=True)
    nom = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'categories_tarifs_villes'


class CategoriesTravail(models.Model):
    id = models.AutoField(db_column='IDcategorie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'categories_travail'


class Classes(models.Model):
    id = models.AutoField(db_column='IDclasse', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    ecole = models.ForeignKey('Ecoles', on_delete=models.SET_NULL, db_column='IDecole', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    niveaux = models.CharField(max_length=300, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'classes'


class CombiTarifs(models.Model):
    id = models.AutoField(db_column='IDcombi_tarif', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    type = models.CharField(max_length=50, blank=True, null=True)
    date = models.DateField(blank=True, null=True)
    quantite_max = models.IntegerField(blank=True, null=True)
    groupe = models.ForeignKey('Groupes', on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'combi_tarifs'


class CombiTarifsUnites(models.Model):
    id = models.AutoField(db_column='IDcombi_tarif_unite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    combi_tarif = models.ForeignKey(CombiTarifs, on_delete=models.SET_NULL, db_column='IDcombi_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite = models.ForeignKey('Unites', on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    class Meta:
        managed = False
        db_table = 'combi_tarifs_unites'


class Commandes(models.Model):
    id = models.AutoField(db_column='IDcommande', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    modele = models.ForeignKey('ModelesTickets', on_delete=models.SET_NULL, db_column='IDmodele', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    nom = models.CharField(max_length=300, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    observations = models.CharField(max_length=1000, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'commandes'


class CommandesValeurs(models.Model):
    id = models.AutoField(db_column='IDvaleur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    commande = models.ForeignKey(Commandes, on_delete=models.SET_NULL, db_column='IDcommande', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    colonne = models.ForeignKey('ModelesCommandesColonnes', on_delete=models.SET_NULL, db_column='IDcolonne', blank=True, null=True)  # Field name made lowercase.  # noqa
    valeur = models.CharField(max_length=1000, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'commandes_valeurs'


class ComptaAnalytiques(models.Model):
    id = models.AutoField(db_column='IDanalytique', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)
    abrege = models.CharField(max_length=200, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_analytiques'


class ComptaBudgets(models.Model):
    id = models.AutoField(db_column='IDbudget', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    exercice = models.ForeignKey('ComptaExercices', on_delete=models.SET_NULL, db_column='IDexercice', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)
    observations = models.CharField(max_length=200, blank=True, null=True)
    analytiques = models.CharField(max_length=450, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_budgets'


class ComptaCategories(models.Model):
    id = models.AutoField(db_column='IDcategorie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type = models.CharField(max_length=200, blank=True, null=True)
    nom = models.CharField(max_length=400, blank=True, null=True)
    abrege = models.CharField(max_length=200, blank=True, null=True)
    journal = models.CharField(max_length=200, blank=True, null=True)
    compte = models.ForeignKey('ComptesBancaires', on_delete=models.SET_NULL, db_column='IDcompte', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_categories'


class ComptaCategoriesBudget(models.Model):
    id = models.AutoField(db_column='IDcategorie_budget', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    budget = models.ForeignKey(ComptaBudgets, on_delete=models.SET_NULL, db_column='IDbudget', blank=True, null=True)  # Field name made lowercase.  # noqa
    type = models.CharField(max_length=200, blank=True, null=True)
    categorie = models.ForeignKey('QuestionnaireCategories', on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    valeur = models.CharField(max_length=450, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'compta_categories_budget'


class ComptaComptesComptables(models.Model):
    id = models.AutoField(db_column='IDcompte', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    numero = models.CharField(max_length=200, blank=True, null=True)
    nom = models.CharField(max_length=400, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_comptes_comptables'


class ComptaExercices(models.Model):
    id = models.AutoField(db_column='IDexercice', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_exercices'


class ComptaOperations(models.Model):
    id = models.AutoField(db_column='IDoperation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type = models.CharField(max_length=200, blank=True, null=True)
    date = models.DateField(blank=True, null=True)
    libelle = models.CharField(max_length=400, blank=True, null=True)
    tiers = models.ForeignKey('ComptaTiers', on_delete=models.SET_NULL, db_column='IDtiers', blank=True, null=True)  # Field name made lowercase.  # noqa
    mode = models.ForeignKey('ModesReglements', on_delete=models.SET_NULL, db_column='IDmode', blank=True, null=True)  # Field name made lowercase.  # noqa
    num_piece = models.CharField(max_length=200, blank=True, null=True)
    ref_piece = models.CharField(max_length=200, blank=True, null=True)
    idcompte_bancaire = models.IntegerField(db_column='IDcompte_bancaire', blank=True, null=True)  # Field name made lowercase.  # noqa
    releve = models.ForeignKey('ComptaReleves', on_delete=models.SET_NULL, db_column='IDreleve', blank=True, null=True)  # Field name made lowercase.  # noqa
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    observations = models.CharField(max_length=450, blank=True, null=True)
    virement = models.ForeignKey('ComptaVirements', on_delete=models.SET_NULL, db_column='IDvirement', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'compta_operations'


class ComptaOperationsBudgetaires(models.Model):
    id = models.AutoField(db_column='IDoperation_budgetaire', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type = models.CharField(max_length=200, blank=True, null=True)
    date_budget = models.DateField(blank=True, null=True)
    categorie = models.ForeignKey('QuestionnaireCategories', on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    analytique = models.ForeignKey(ComptaAnalytiques, on_delete=models.SET_NULL, db_column='IDanalytique', blank=True, null=True)  # Field name made lowercase.  # noqa
    libelle = models.CharField(max_length=400, blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    class Meta:
        managed = False
        db_table = 'compta_operations_budgetaires'


class ComptaReleves(models.Model):
    id = models.AutoField(db_column='IDreleve', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    idcompte_bancaire = models.IntegerField(db_column='IDcompte_bancaire', blank=True, null=True)  # Field name made lowercase.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_releves'


class ComptaTiers(models.Model):
    id = models.AutoField(db_column='IDtiers', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)
    observations = models.CharField(max_length=450, blank=True, null=True)
    idcode_comptable = models.IntegerField(db_column='IDcode_comptable', blank=True, null=True)  # Field name made lowercase.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'compta_tiers'


class ComptaVentilation(models.Model):
    id = models.AutoField(db_column='IDventilation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    operation = models.ForeignKey(ComptaOperations, on_delete=models.SET_NULL, db_column='IDoperation', blank=True, null=True)  # Field name made lowercase.  # noqa
    exercice = models.ForeignKey(ComptaExercices, on_delete=models.SET_NULL, db_column='IDexercice', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie = models.ForeignKey('QuestionnaireCategories', on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    analytique = models.ForeignKey(ComptaAnalytiques, on_delete=models.SET_NULL, db_column='IDanalytique', blank=True, null=True)  # Field name made lowercase.  # noqa
    libelle = models.CharField(max_length=400, blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    date_budget = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'compta_ventilation'


class ComptaVirements(models.Model):
    id = models.AutoField(db_column='IDvirement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    idoperation_debit = models.IntegerField(db_column='IDoperation_debit', blank=True, null=True)  # Field name made lowercase.  # noqa
    idoperation_credit = models.IntegerField(db_column='IDoperation_credit', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'compta_virements'


class ComptesBancaires(models.Model):
    id = models.AutoField(db_column='IDcompte', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    numero = models.CharField(max_length=50, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)
    raison = models.CharField(max_length=400, blank=True, null=True)
    code_etab = models.CharField(max_length=400, blank=True, null=True)
    code_guichet = models.CharField(max_length=400, blank=True, null=True)
    code_nne = models.CharField(max_length=400, blank=True, null=True)
    cle_rib = models.CharField(max_length=400, blank=True, null=True)
    cle_iban = models.CharField(max_length=400, blank=True, null=True)
    iban = models.CharField(max_length=400, blank=True, null=True)
    bic = models.CharField(max_length=400, blank=True, null=True)
    code_ics = models.CharField(max_length=400, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'comptes_bancaires'


class ComptesPayeurs(models.Model):
    id = models.AutoField(db_column='IDcompte_payeur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey('Familles', on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'comptes_payeurs'


class Consommations(models.Model):
    id = models.AutoField(db_column='IDconso', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    inscription = models.ForeignKey('Inscriptions', on_delete=models.SET_NULL, db_column='IDinscription', blank=True, null=True)  # Field name made lowercase.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    unite = models.ForeignKey('Unites', on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    groupe = models.ForeignKey('Groupes', on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa
    heure_debut = models.TimeField(blank=True, null=True)
    heure_fin = models.TimeField(blank=True, null=True)
    etat = models.CharField(max_length=20, blank=True, null=True)
    verrouillage = models.IntegerField(blank=True, null=True)
    date_saisie = models.DateField(blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    prestation = models.ForeignKey('Prestations', on_delete=models.SET_NULL, db_column='IDprestation', blank=True, null=True)  # Field name made lowercase.  # noqa
    forfait = models.IntegerField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)
    etiquettes = models.CharField(max_length=100, blank=True, null=True)
    evenement = models.ForeignKey('Evenements', on_delete=models.SET_NULL, db_column='IDevenement', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'consommations'


class Contrats(models.Model):
    id = models.AutoField(db_column='IDcontrat', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    inscription = models.ForeignKey('Inscriptions', on_delete=models.SET_NULL, db_column='IDinscription', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    observations = models.CharField(max_length=500, blank=True, null=True)
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    type = models.CharField(max_length=100, blank=True, null=True)
    nbre_absences_prevues = models.IntegerField(blank=True, null=True)
    nbre_heures_regularisation = models.IntegerField(blank=True, null=True)
    arrondi_type = models.CharField(max_length=50, blank=True, null=True)
    arrondi_delta = models.IntegerField(blank=True, null=True)
    duree_absences_prevues = models.CharField(max_length=50, blank=True, null=True)  # noqa
    duree_heures_regularisation = models.CharField(max_length=50, blank=True, null=True)  # noqa
    duree_tolerance_depassement = models.CharField(max_length=50, blank=True, null=True)  # noqa
    planning = models.CharField(max_length=900, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'contrats'


class ContratsTarifs(models.Model):
    id = models.AutoField(db_column='IDcontrat_tarif', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    contrat = models.ForeignKey(Contrats, on_delete=models.SET_NULL, db_column='IDcontrat', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    revenu = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    quotient = models.IntegerField(blank=True, null=True)
    taux = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    tarif_base = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    tarif_depassement = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    class Meta:
        managed = False
        db_table = 'contrats_tarifs'


class CorrectionsPhoniques(models.Model):
    id = models.AutoField(db_column='IDcorrection', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    mot = models.CharField(max_length=400, blank=True, null=True)
    correction = models.CharField(max_length=400, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'corrections_phoniques'


class CorrectionsVilles(models.Model):
    id = models.AutoField(db_column='IDcorrection', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    mode = models.CharField(max_length=100, blank=True, null=True)
    ville = models.ForeignKey(CategoriesTarifsVilles, on_delete=models.SET_NULL, db_column='IDville', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=450, blank=True, null=True)
    cp = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'corrections_villes'


class Cotisations(models.Model):
    id = models.AutoField(db_column='IDcotisation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey('Familles', on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    type_cotisation = models.ForeignKey('TypesCotisations', on_delete=models.SET_NULL, db_column='IDtype_cotisation', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite_cotisation = models.ForeignKey('UnitesCotisations', on_delete=models.SET_NULL, db_column='IDunite_cotisation', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_saisie = models.DateField(blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_creation_carte = models.DateField(blank=True, null=True)
    numero = models.CharField(max_length=50, blank=True, null=True)
    depot_cotisation = models.ForeignKey('DepotsCotisations', on_delete=models.SET_NULL, db_column='IDdepot_cotisation', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    prestation = models.ForeignKey('Prestations', on_delete=models.SET_NULL, db_column='IDprestation', blank=True, null=True)  # Field name made lowercase.  # noqa
    observations = models.CharField(max_length=1000, blank=True, null=True)
    activites = models.CharField(max_length=450, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'cotisations'


class CotisationsActivites(models.Model):
    id = models.AutoField(db_column='IDcotisation_activite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    type_cotisation = models.ForeignKey('TypesCotisations', on_delete=models.SET_NULL, db_column='IDtype_cotisation', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'cotisations_activites'


class Deductions(models.Model):
    id = models.AutoField(db_column='IDdeduction', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    prestation = models.ForeignKey('Prestations', on_delete=models.SET_NULL, db_column='IDprestation', blank=True, null=True)  # Field name made lowercase.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    label = models.CharField(max_length=200, blank=True, null=True)
    aide = models.ForeignKey(Aides, on_delete=models.SET_NULL, db_column='IDaide', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'deductions'


class Depots(models.Model):
    id = models.AutoField(db_column='IDdepot', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date = models.DateField(blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    verrouillage = models.IntegerField(blank=True, null=True)
    compte = models.ForeignKey(ComptesBancaires, on_delete=models.SET_NULL, db_column='IDcompte', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    observations = models.CharField(max_length=500, blank=True, null=True)
    code_compta = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'depots'


class DepotsCotisations(models.Model):
    id = models.AutoField(db_column='IDdepot_cotisation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date = models.DateField(blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    verrouillage = models.IntegerField(blank=True, null=True)
    observations = models.CharField(max_length=1000, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'depots_cotisations'


class DocumentsModeles(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    categorie = models.CharField(max_length=200, blank=True, null=True)
    supprimable = models.IntegerField(blank=True, null=True)
    largeur = models.IntegerField(blank=True, null=True)
    hauteur = models.IntegerField(blank=True, null=True)
    observations = models.CharField(max_length=400, blank=True, null=True)
    idfond = models.IntegerField(db_column='IDfond', blank=True, null=True)  # Field name made lowercase.  # noqa
    defaut = models.IntegerField(blank=True, null=True)
    iddonnee = models.IntegerField(db_column='IDdonnee', blank=True, null=True)  # Field name made lowercase.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'documents_modeles'


class DocumentsObjets(models.Model):
    id = models.AutoField(db_column='IDobjet', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    modele = models.ForeignKey(DocumentsModeles, on_delete=models.SET_NULL, db_column='IDmodele', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    categorie = models.CharField(max_length=200, blank=True, null=True)
    champ = models.CharField(max_length=200, blank=True, null=True)
    ordre = models.IntegerField(blank=True, null=True)
    obligatoire = models.IntegerField(blank=True, null=True)
    nbremax = models.IntegerField(db_column='nbreMax', blank=True, null=True)  # Field name made lowercase.  # noqa
    texte = models.CharField(max_length=600, blank=True, null=True)
    points = models.CharField(max_length=600, blank=True, null=True)
    image = models.BinaryField(blank=True, null=True)
    typeimage = models.CharField(db_column='typeImage', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    x = models.IntegerField(blank=True, null=True)
    y = models.IntegerField(blank=True, null=True)
    verrouillagex = models.IntegerField(db_column='verrouillageX', blank=True, null=True)  # Field name made lowercase.  # noqa
    verrouillagey = models.IntegerField(db_column='verrouillageY', blank=True, null=True)  # Field name made lowercase.  # noqa
    xmodifiable = models.IntegerField(db_column='Xmodifiable', blank=True, null=True)  # Field name made lowercase.  # noqa
    ymodifiable = models.IntegerField(db_column='Ymodifiable', blank=True, null=True)  # Field name made lowercase.  # noqa
    largeur = models.IntegerField(blank=True, null=True)
    hauteur = models.IntegerField(blank=True, null=True)
    largeurmodifiable = models.IntegerField(db_column='largeurModifiable', blank=True, null=True)  # Field name made lowercase.  # noqa
    hauteurmodifiable = models.IntegerField(db_column='hauteurModifiable', blank=True, null=True)  # Field name made lowercase.  # noqa
    largeurmin = models.IntegerField(db_column='largeurMin', blank=True, null=True)  # Field name made lowercase.  # noqa
    largeurmax = models.IntegerField(db_column='largeurMax', blank=True, null=True)  # Field name made lowercase.  # noqa
    hauteurmin = models.IntegerField(db_column='hauteurMin', blank=True, null=True)  # Field name made lowercase.  # noqa
    hauteurmax = models.IntegerField(db_column='hauteurMax', blank=True, null=True)  # Field name made lowercase.  # noqa
    verrouillagelargeur = models.IntegerField(db_column='verrouillageLargeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    verrouillagehauteur = models.IntegerField(db_column='verrouillageHauteur', blank=True, null=True)  # Field name made lowercase.  # noqa
    verrouillageproportions = models.IntegerField(db_column='verrouillageProportions', blank=True, null=True)  # Field name made lowercase.  # noqa
    interditmodifproportions = models.IntegerField(db_column='interditModifProportions', blank=True, null=True)  # Field name made lowercase.  # noqa
    couleurtrait = models.CharField(db_column='couleurTrait', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    styletrait = models.CharField(db_column='styleTrait', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    epaisstrait = models.TextField(db_column='epaissTrait', blank=True, null=True)  # Field name made lowercase. This field type is a guess.  # noqa
    coulremplis = models.CharField(db_column='coulRemplis', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    styleremplis = models.CharField(db_column='styleRemplis', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    couleurtexte = models.CharField(db_column='couleurTexte', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    couleurfond = models.CharField(db_column='couleurFond', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    padding = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    interligne = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    taillepolice = models.IntegerField(db_column='taillePolice', blank=True, null=True)  # Field name made lowercase.  # noqa
    nompolice = models.CharField(db_column='nomPolice', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    familypolice = models.IntegerField(db_column='familyPolice', blank=True, null=True)  # Field name made lowercase.  # noqa
    stylepolice = models.IntegerField(db_column='stylePolice', blank=True, null=True)  # Field name made lowercase.  # noqa
    weightpolice = models.IntegerField(db_column='weightPolice', blank=True, null=True)  # Field name made lowercase.  # noqa
    soulignepolice = models.IntegerField(db_column='soulignePolice', blank=True, null=True)  # Field name made lowercase.  # noqa
    alignement = models.CharField(max_length=100, blank=True, null=True)
    largeurtexte = models.IntegerField(db_column='largeurTexte', blank=True, null=True)  # Field name made lowercase.  # noqa
    norme = models.CharField(max_length=100, blank=True, null=True)
    affichenumero = models.IntegerField(db_column='afficheNumero', blank=True, null=True)  # Field name made lowercase.  # noqa
    iddonnee = models.IntegerField(db_column='IDdonnee', blank=True, null=True)  # Field name made lowercase.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'documents_objets'


class Droits(models.Model):
    id = models.AutoField(db_column='IDdroit', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    modele = models.ForeignKey('ModelesTickets', on_delete=models.SET_NULL, db_column='IDmodele', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    categorie = models.CharField(max_length=200, blank=True, null=True)
    action = models.CharField(max_length=200, blank=True, null=True)
    etat = models.CharField(max_length=455, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'droits'


class Ecoles(models.Model):
    id = models.AutoField(db_column='IDecole', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=300, blank=True, null=True)
    rue = models.CharField(max_length=200, blank=True, null=True)
    cp = models.CharField(max_length=10, blank=True, null=True)
    ville = models.CharField(max_length=200, blank=True, null=True)
    tel = models.CharField(max_length=50, blank=True, null=True)
    fax = models.CharField(max_length=50, blank=True, null=True)
    email = models.EmailField(db_column='mail', max_length=100, blank=True, null=True)  # noqa
    secteurs = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'ecoles'


class Emetteurs(models.Model):
    id = models.AutoField(db_column='IDemetteur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    mode = models.ForeignKey('ModesReglements', on_delete=models.SET_NULL, db_column='IDmode', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    image = models.BinaryField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'emetteurs'


class EtatNominChamps(models.Model):
    id = models.AutoField(db_column='IDchamp', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    code = models.CharField(max_length=300, blank=True, null=True)
    label = models.CharField(max_length=400, blank=True, null=True)
    formule = models.CharField(max_length=450, blank=True, null=True)
    titre = models.CharField(max_length=400, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'etat_nomin_champs'


class EtatNominProfils(models.Model):
    id = models.AutoField(db_column='IDprofil', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    label = models.CharField(max_length=400, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'etat_nomin_profils'


class EtatNominSelections(models.Model):
    id = models.AutoField(db_column='IDselection', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    profil = models.ForeignKey('Profils', on_delete=models.SET_NULL, db_column='IDprofil', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    code = models.CharField(max_length=300, blank=True, null=True)
    ordre = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'etat_nomin_selections'


class Etiquettes(models.Model):
    id = models.AutoField(db_column='IDetiquette', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    label = models.CharField(max_length=300, blank=True, null=True)
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    parent = models.IntegerField(blank=True, null=True)
    ordre = models.IntegerField(blank=True, null=True)
    couleur = models.CharField(max_length=30, blank=True, null=True)
    active = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'etiquettes'


class Evenements(models.Model):
    id = models.AutoField(db_column='IDevenement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite = models.ForeignKey('Unites', on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    groupe = models.ForeignKey('Groupes', on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    description = models.CharField(max_length=1000, blank=True, null=True)
    capacite_max = models.IntegerField(blank=True, null=True)
    heure_debut = models.TimeField(blank=True, null=True)
    heure_fin = models.TimeField(blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'evenements'


class Factures(models.Model):
    id = models.AutoField(db_column='IDfacture', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    numero = models.IntegerField(blank=True, null=True)
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_edition = models.DateField(blank=True, null=True)
    date_echeance = models.DateField(blank=True, null=True)
    activites = models.CharField(max_length=500, blank=True, null=True)
    individus = models.CharField(max_length=500, blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    total = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    regle = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    solde = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    lot = models.ForeignKey('PesLots', on_delete=models.SET_NULL, db_column='IDlot', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    prestations_list = models.CharField(db_column='prestations', max_length=500, blank=True, null=True)  # noqa
    etat = models.CharField(max_length=100, blank=True, null=True)
    prefixe = models.ForeignKey('FacturesPrefixes', on_delete=models.SET_NULL, db_column='IDprefixe', blank=True, null=True)  # Field name made lowercase.  # noqa
    regie = models.ForeignKey('FacturesRegies', on_delete=models.SET_NULL, db_column='IDregie', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'factures'


class FacturesMessages(models.Model):
    id = models.AutoField(db_column='IDmessage', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    titre = models.CharField(max_length=255, blank=True, null=True)
    texte = models.CharField(max_length=1000, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'factures_messages'


class FacturesPrefixes(models.Model):
    id = models.AutoField(db_column='IDprefixe', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=450, blank=True, null=True)
    prefixe = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'factures_prefixes'


class FacturesRegies(models.Model):
    id = models.AutoField(db_column='IDregie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=450, blank=True, null=True)
    numclitipi = models.CharField(max_length=8, blank=True, null=True)
    email_regisseur = models.CharField(max_length=100, blank=True, null=True)  # noqa
    idcompte_bancaire = models.IntegerField(db_column='IDcompte_bancaire', blank=True, null=True)  # Field name made lowercase.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'factures_regies'


class Familles(models.Model):
    id = models.AutoField(db_column='IDfamille', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date_creation = models.DateField(blank=True, null=True)
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    caisse = models.ForeignKey(Caisses, on_delete=models.SET_NULL, db_column='IDcaisse', blank=True, null=True)  # Field name made lowercase.  # noqa
    num_allocataire = models.CharField(max_length=100, blank=True, null=True)  # noqa
    internet_actif = models.IntegerField(blank=True, null=True)
    internet_identifiant = models.CharField(max_length=50, blank=True, null=True)  # noqa
    internet_mdp = models.CharField(max_length=50, blank=True, null=True)
    memo = models.CharField(max_length=2000, blank=True, null=True)
    allocataire = models.IntegerField(blank=True, null=True)
    prelevement_activation = models.IntegerField(blank=True, null=True)
    prelevement_etab = models.CharField(max_length=50, blank=True, null=True)  # noqa
    prelevement_guichet = models.CharField(max_length=50, blank=True, null=True)  # noqa
    prelevement_numero = models.CharField(max_length=50, blank=True, null=True)  # noqa
    prelevement_cle = models.CharField(max_length=50, blank=True, null=True)
    prelevement_banque = models.IntegerField(blank=True, null=True)
    prelevement_individu = models.IntegerField(blank=True, null=True)
    prelevement_nom = models.CharField(max_length=200, blank=True, null=True)  # noqa
    prelevement_rue = models.CharField(max_length=400, blank=True, null=True)  # noqa
    prelevement_cp = models.CharField(max_length=50, blank=True, null=True)
    prelevement_ville = models.CharField(max_length=400, blank=True, null=True)  # noqa
    email_factures = models.CharField(max_length=450, blank=True, null=True)
    email_recus = models.CharField(max_length=450, blank=True, null=True)
    email_depots = models.CharField(max_length=450, blank=True, null=True)
    prelevement_cle_iban = models.CharField(max_length=10, blank=True, null=True)  # noqa
    prelevement_iban = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_bic = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_reference_mandat = models.CharField(max_length=300, blank=True, null=True)  # noqa
    prelevement_date_mandat = models.DateField(blank=True, null=True)
    prelevement_memo = models.CharField(max_length=450, blank=True, null=True)  # noqa
    titulaire_helios = models.IntegerField(blank=True, null=True)
    code_comptable = models.CharField(max_length=450, blank=True, null=True)
    idtiers_helios = models.CharField(max_length=200, blank=True, null=True)
    natidtiers_helios = models.IntegerField(blank=True, null=True)
    reftiers_helios = models.CharField(max_length=200, blank=True, null=True)  # noqa
    cattiers_helios = models.IntegerField(blank=True, null=True)
    natjur_helios = models.IntegerField(blank=True, null=True)
    autorisation_cafpro = models.IntegerField(blank=True, null=True)
    autre_adresse_facturation = models.CharField(max_length=450, blank=True, null=True)  # noqa

    class Meta:
        managed = False
        db_table = 'familles'


class Groupes(models.Model):
    id = models.AutoField(db_column='IDgroupe', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    abrege = models.CharField(max_length=100, blank=True, null=True)
    ordre = models.IntegerField(blank=True, null=True)
    nbre_inscrits_max = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'groupes'


class GroupesActivites(models.Model):
    id = models.AutoField(db_column='IDgroupe_activite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type_groupe_activite = models.ForeignKey('TypesGroupesActivites', on_delete=models.SET_NULL, db_column='IDtype_groupe_activite', blank=True, null=True)  # Field name made lowercase.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'groupes_activites'


class Historique(models.Model):
    id = models.AutoField(db_column='IDaction', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date = models.DateField(blank=True, null=True)
    heure = models.TimeField(blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey('Individus', on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie = models.ForeignKey('QuestionnaireCategories', on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    action = models.CharField(max_length=500, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'historique'


class Individus(models.Model):
    id = models.AutoField(db_column='IDindividu', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    idcivilite = models.IntegerField(db_column='IDcivilite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    nom_jfille = models.CharField(max_length=100, blank=True, null=True)
    prenom = models.CharField(max_length=100, blank=True, null=True)
    num_secu = models.CharField(max_length=21, blank=True, null=True)
    idnationalite = models.IntegerField(db_column='IDnationalite', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_naiss = models.DateField(blank=True, null=True)
    idpays_naiss = models.IntegerField(db_column='IDpays_naiss', blank=True, null=True)  # Field name made lowercase.  # noqa
    cp_naiss = models.CharField(max_length=10, blank=True, null=True)
    ville_naiss = models.CharField(max_length=100, blank=True, null=True)
    deces = models.IntegerField(blank=True, null=True)
    annee_deces = models.IntegerField(blank=True, null=True)
    adresse_auto = models.IntegerField(blank=True, null=True)
    rue_resid = models.CharField(max_length=255, blank=True, null=True)
    cp_resid = models.CharField(max_length=10, blank=True, null=True)
    ville_resid = models.CharField(max_length=100, blank=True, null=True)
    secteur = models.ForeignKey('Secteurs', on_delete=models.SET_NULL, db_column='IDsecteur', blank=True, null=True)  # Field name made lowercase.  # noqa
    idcategorie_travail = models.IntegerField(db_column='IDcategorie_travail', blank=True, null=True)  # Field name made lowercase.  # noqa
    profession = models.CharField(max_length=100, blank=True, null=True)
    employeur = models.CharField(max_length=100, blank=True, null=True)
    travail_tel = models.CharField(max_length=50, blank=True, null=True)
    travail_fax = models.CharField(max_length=50, blank=True, null=True)
    travail_email = models.EmailField(db_column='travail_mail', max_length=50, blank=True, null=True)  # noqa
    tel_domicile = models.CharField(max_length=50, blank=True, null=True)
    tel_mobile = models.CharField(max_length=50, blank=True, null=True)
    tel_fax = models.CharField(max_length=50, blank=True, null=True)
    email = models.EmailField(db_column='mail', max_length=50, blank=True, null=True)  # noqa
    medecin = models.ForeignKey('Medecins', on_delete=models.SET_NULL, db_column='IDmedecin', blank=True, null=True)  # Field name made lowercase.  # noqa
    memo = models.CharField(max_length=2000, blank=True, null=True)
    type_sieste = models.ForeignKey('TypesSieste', on_delete=models.SET_NULL, db_column='IDtype_sieste', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_creation = models.DateField(blank=True, null=True)
    travail_tel_sms = models.IntegerField(blank=True, null=True)
    tel_domicile_sms = models.IntegerField(blank=True, null=True)
    tel_mobile_sms = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'individus'


class Inscriptions(models.Model):
    id = models.AutoField(db_column='IDinscription', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    groupe = models.ForeignKey(Groupes, on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_inscription = models.DateField(blank=True, null=True)
    parti = models.IntegerField(blank=True, null=True)
    date_desinscription = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'inscriptions'


class JoursFeries(models.Model):
    id = models.AutoField(db_column='IDferie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type = models.CharField(max_length=10, blank=True, null=True)
    nom = models.CharField(max_length=100, blank=True, null=True)
    jour = models.IntegerField(blank=True, null=True)
    mois = models.IntegerField(blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'jours_feries'


class Liens(models.Model):
    id = models.AutoField(db_column='IDlien', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    idindividu_sujet = models.IntegerField(db_column='IDindividu_sujet', blank=True, null=True)  # Field name made lowercase.  # noqa
    idtype_lien = models.IntegerField(db_column='IDtype_lien', blank=True, null=True)  # Field name made lowercase.  # noqa
    idindividu_objet = models.IntegerField(db_column='IDindividu_objet', blank=True, null=True)  # Field name made lowercase.  # noqa
    responsable = models.IntegerField(blank=True, null=True)
    idautorisation = models.IntegerField(db_column='IDautorisation', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'liens'


class ListesDiffusion(models.Model):
    id = models.AutoField(db_column='IDliste', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'listes_diffusion'


class Locations(models.Model):
    id = models.AutoField(db_column='IDlocation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    produit = models.ForeignKey('Produits', on_delete=models.SET_NULL, db_column='IDproduit', blank=True, null=True)  # Field name made lowercase.  # noqa
    observations = models.CharField(max_length=1000, blank=True, null=True)
    date_saisie = models.DateField(blank=True, null=True)
    date_debut = models.DateTimeField(blank=True, null=True)
    date_fin = models.DateTimeField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'locations'


class LocationsDemandes(models.Model):
    id = models.AutoField(db_column='IDdemande', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date = models.DateTimeField(blank=True, null=True)
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    observations = models.CharField(max_length=1000, blank=True, null=True)
    categories = models.CharField(max_length=1000, blank=True, null=True)
    produits = models.CharField(max_length=1000, blank=True, null=True)
    statut = models.CharField(max_length=100, blank=True, null=True)
    motif_refus = models.CharField(max_length=1000, blank=True, null=True)
    location = models.ForeignKey(Locations, on_delete=models.SET_NULL, db_column='IDlocation', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'locations_demandes'


class LotsFactures(models.Model):
    id = models.AutoField(db_column='IDlot', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'lots_factures'


class LotsPrelevements(models.Model):
    id = models.AutoField(db_column='IDlot', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    date = models.DateField(blank=True, null=True)
    verrouillage = models.IntegerField(blank=True, null=True)
    compte = models.ForeignKey(ComptesBancaires, on_delete=models.SET_NULL, db_column='IDcompte', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    mode = models.ForeignKey('ModesReglements', on_delete=models.SET_NULL, db_column='IDmode', blank=True, null=True)  # Field name made lowercase.  # noqa
    reglement_auto = models.IntegerField(blank=True, null=True)
    observations = models.CharField(max_length=500, blank=True, null=True)
    type = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'lots_prelevements'


class LotsRappels(models.Model):
    id = models.AutoField(db_column='IDlot', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=400, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'lots_rappels'


class Mandats(models.Model):
    id = models.AutoField(db_column='IDmandat', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    rum = models.CharField(max_length=100, blank=True, null=True)
    type = models.CharField(max_length=100, blank=True, null=True)
    date = models.DateField(blank=True, null=True)
    banque = models.ForeignKey(Banques, on_delete=models.SET_NULL, db_column='IDbanque', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu_nom = models.CharField(max_length=400, blank=True, null=True)
    individu_rue = models.CharField(max_length=400, blank=True, null=True)
    individu_cp = models.CharField(max_length=50, blank=True, null=True)
    individu_ville = models.CharField(max_length=400, blank=True, null=True)
    iban = models.CharField(max_length=100, blank=True, null=True)
    bic = models.CharField(max_length=100, blank=True, null=True)
    memo = models.CharField(max_length=450, blank=True, null=True)
    sequence = models.CharField(max_length=100, blank=True, null=True)
    actif = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'mandats'


class Medecins(models.Model):
    id = models.AutoField(db_column='IDmedecin', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    prenom = models.CharField(max_length=100, blank=True, null=True)
    rue_resid = models.CharField(max_length=255, blank=True, null=True)
    cp_resid = models.CharField(max_length=10, blank=True, null=True)
    ville_resid = models.CharField(max_length=100, blank=True, null=True)
    tel_cabinet = models.CharField(max_length=50, blank=True, null=True)
    tel_mobile = models.CharField(max_length=50, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'medecins'


class MemoJournee(models.Model):
    id = models.AutoField(db_column='IDmemo', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    texte = models.CharField(max_length=200, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'memo_journee'


class Messages(models.Model):
    id = models.AutoField(db_column='IDmessage', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type = models.CharField(max_length=30, blank=True, null=True)
    categorie = models.ForeignKey('QuestionnaireCategories', on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    date_saisie = models.DateField(blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_parution = models.DateField(blank=True, null=True)
    priorite = models.CharField(max_length=30, blank=True, null=True)
    afficher_accueil = models.IntegerField(blank=True, null=True)
    afficher_liste = models.IntegerField(blank=True, null=True)
    rappel = models.IntegerField(blank=True, null=True)
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)
    texte = models.CharField(max_length=500, blank=True, null=True)
    afficher_facture = models.IntegerField(blank=True, null=True)
    rappel_famille = models.IntegerField(blank=True, null=True)
    afficher_commande = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'messages'


class MessagesCategories(models.Model):
    id = models.AutoField(db_column='IDcategorie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)
    priorite = models.CharField(max_length=30, blank=True, null=True)
    afficher_accueil = models.IntegerField(blank=True, null=True)
    afficher_liste = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'messages_categories'


class ModelesCommandes(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=300, blank=True, null=True)
    restaurateur = models.ForeignKey('Restaurateurs', on_delete=models.SET_NULL, db_column='IDrestaurateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    parametres = models.CharField(max_length=8000, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_commandes'


class ModelesCommandesColonnes(models.Model):
    id = models.AutoField(db_column='IDcolonne', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    modele = models.ForeignKey('ModelesTickets', on_delete=models.SET_NULL, db_column='IDmodele', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    nom = models.CharField(max_length=300, blank=True, null=True)
    largeur = models.IntegerField(blank=True, null=True)
    categorie = models.CharField(max_length=100, blank=True, null=True)
    parametres = models.CharField(max_length=8000, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_commandes_colonnes'


class ModelesContrats(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=450, blank=True, null=True)
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    observations = models.CharField(max_length=500, blank=True, null=True)
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    donnees = models.BinaryField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_contrats'


class ModelesDroits(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=455, blank=True, null=True)
    observations = models.CharField(max_length=455, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_droits'


class ModelesEmails(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=455, blank=True, null=True)
    nom = models.CharField(max_length=455, blank=True, null=True)
    description = models.CharField(max_length=455, blank=True, null=True)
    objet = models.CharField(max_length=455, blank=True, null=True)
    texte_xml = models.CharField(max_length=5000, blank=True, null=True)
    adresse = models.ForeignKey(AdressesMail, on_delete=models.SET_NULL, db_column='IDadresse', blank=True, null=True)  # Field name made lowercase.  # noqa
    defaut = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_emails'


class ModelesPlannings(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=450, blank=True, null=True)
    donnees = models.CharField(max_length=900, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_plannings'


class ModelesPrestations(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=50, blank=True, null=True)
    label = models.CharField(max_length=200, blank=True, null=True)
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    tva = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    code_compta = models.CharField(max_length=200, blank=True, null=True)
    public = models.CharField(max_length=50, blank=True, null=True)
    type_quotient = models.ForeignKey('TypesQuotients', on_delete=models.SET_NULL, db_column='IDtype_quotient', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'modeles_prestations'


class ModelesTickets(models.Model):
    id = models.AutoField(db_column='IDmodele', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=455, blank=True, null=True)
    nom = models.CharField(max_length=455, blank=True, null=True)
    description = models.CharField(max_length=455, blank=True, null=True)
    lignes = models.CharField(max_length=5000, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)
    taille = models.IntegerField(blank=True, null=True)
    interligne = models.IntegerField(blank=True, null=True)
    imprimante = models.CharField(max_length=450, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'modeles_tickets'


class ModesReglements(models.Model):
    id = models.AutoField(db_column='IDmode', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    label = models.CharField(max_length=100, blank=True, null=True)
    image = models.BinaryField(blank=True, null=True)
    numero_piece = models.CharField(max_length=10, blank=True, null=True)
    nbre_chiffres = models.IntegerField(blank=True, null=True)
    frais_gestion = models.CharField(max_length=10, blank=True, null=True)
    frais_montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    frais_pourcentage = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    frais_arrondi = models.CharField(max_length=20, blank=True, null=True)
    frais_label = models.CharField(max_length=200, blank=True, null=True)
    type_comptable = models.CharField(max_length=200, blank=True, null=True)
    code_compta = models.CharField(max_length=200, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'modes_reglements'


class NiveauxScolaires(models.Model):
    id = models.AutoField(db_column='IDniveau', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    nom = models.CharField(max_length=400, blank=True, null=True)
    abrege = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'niveaux_scolaires'


class NomadeArchivage(models.Model):
    id = models.AutoField(db_column='IDarchive', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom_fichier = models.CharField(max_length=400, blank=True, null=True)
    id_appareil = models.CharField(db_column='ID_appareil', max_length=100, blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'nomade_archivage'


class NomsTarifs(models.Model):
    id = models.AutoField(db_column='IDnom_tarif', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'noms_tarifs'


class Organisateur(models.Model):
    id = models.AutoField(db_column='IDorganisateur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    rue = models.CharField(max_length=200, blank=True, null=True)
    cp = models.CharField(max_length=10, blank=True, null=True)
    ville = models.CharField(max_length=100, blank=True, null=True)
    tel = models.CharField(max_length=50, blank=True, null=True)
    fax = models.CharField(max_length=50, blank=True, null=True)
    email = models.EmailField(db_column='mail', max_length=100, blank=True, null=True)  # noqa
    site = models.CharField(max_length=100, blank=True, null=True)
    num_agrement = models.CharField(max_length=100, blank=True, null=True)
    num_siret = models.CharField(max_length=100, blank=True, null=True)
    code_ape = models.CharField(max_length=100, blank=True, null=True)
    logo = models.BinaryField(blank=True, null=True)
    gps = models.CharField(max_length=200, blank=True, null=True)
    logo_update = models.CharField(max_length=50, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'organisateur'


class Ouvertures(models.Model):
    id = models.AutoField(db_column='IDouverture', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite = models.ForeignKey('Unites', on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    groupe = models.ForeignKey(Groupes, on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'ouvertures'


class Parametres(models.Model):
    id = models.AutoField(db_column='IDparametre', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=100, blank=True, null=True)
    nom = models.CharField(max_length=100, blank=True, null=True)
    parametre = models.CharField(max_length=255, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'parametres'


class Payeurs(models.Model):
    id = models.AutoField(db_column='IDpayeur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'payeurs'


class PeriodesGestion(models.Model):
    id = models.AutoField(db_column='IDperiode', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    observations = models.CharField(max_length=1000, blank=True, null=True)
    verrou_consommations = models.IntegerField(blank=True, null=True)
    verrou_prestations = models.IntegerField(blank=True, null=True)
    verrou_factures = models.IntegerField(blank=True, null=True)
    verrou_reglements = models.IntegerField(blank=True, null=True)
    verrou_depots = models.IntegerField(blank=True, null=True)
    verrou_cotisations = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'periodes_gestion'


class PesLots(models.Model):
    id = models.AutoField(db_column='IDlot', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    verrouillage = models.IntegerField(blank=True, null=True)
    observations = models.CharField(max_length=500, blank=True, null=True)
    reglement_auto = models.IntegerField(blank=True, null=True)
    compte = models.ForeignKey(ComptesBancaires, on_delete=models.SET_NULL, db_column='IDcompte', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    mode = models.ForeignKey(ModesReglements, on_delete=models.SET_NULL, db_column='IDmode', blank=True, null=True)  # Field name made lowercase.  # noqa
    exercice = models.IntegerField(blank=True, null=True)
    mois = models.IntegerField(blank=True, null=True)
    objet_dette = models.CharField(max_length=450, blank=True, null=True)
    date_emission = models.DateField(blank=True, null=True)
    date_prelevement = models.DateField(blank=True, null=True)
    date_envoi = models.DateField(blank=True, null=True)
    id_bordereau = models.CharField(max_length=200, blank=True, null=True)
    id_poste = models.CharField(max_length=200, blank=True, null=True)
    id_collectivite = models.CharField(max_length=200, blank=True, null=True)  # noqa
    code_collectivite = models.CharField(max_length=200, blank=True, null=True)  # noqa
    code_budget = models.CharField(max_length=200, blank=True, null=True)
    code_prodloc = models.CharField(max_length=200, blank=True, null=True)
    prelevement_libelle = models.CharField(max_length=450, blank=True, null=True)  # noqa
    objet_piece = models.CharField(max_length=450, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'pes_lots'


class PesPieces(models.Model):
    id = models.AutoField(db_column='IDpiece', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    lot = models.ForeignKey(PesLots, on_delete=models.SET_NULL, db_column='IDlot', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    prelevement = models.IntegerField(blank=True, null=True)
    prelevement_iban = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_bic = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_rum = models.CharField(max_length=300, blank=True, null=True)  # noqa
    prelevement_date_mandat = models.DateField(blank=True, null=True)
    prelevement_idmandat = models.IntegerField(db_column='prelevement_IDmandat', blank=True, null=True)  # Field name made lowercase.  # noqa
    prelevement_sequence = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_titulaire = models.CharField(max_length=400, blank=True, null=True)  # noqa
    prelevement_statut = models.CharField(max_length=100, blank=True, null=True)  # noqa
    titulaire_helios = models.IntegerField(blank=True, null=True)
    type = models.CharField(max_length=400, blank=True, null=True)
    facture = models.ForeignKey(Factures, on_delete=models.SET_NULL, db_column='IDfacture', blank=True, null=True)  # Field name made lowercase.  # noqa
    numero = models.IntegerField(blank=True, null=True)
    libelle = models.CharField(max_length=400, blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    class Meta:
        managed = False
        db_table = 'pes_pieces'


class Pieces(models.Model):
    id = models.AutoField(db_column='IDpiece', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type_piece = models.ForeignKey('TypesPieces', on_delete=models.SET_NULL, db_column='IDtype_piece', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'pieces'


class PiecesActivites(models.Model):
    id = models.AutoField(db_column='IDpiece_activite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    type_piece = models.ForeignKey('TypesPieces', on_delete=models.SET_NULL, db_column='IDtype_piece', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'pieces_activites'


class PortailActions(models.Model):
    id = models.AutoField(db_column='IDaction', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    horodatage = models.DateTimeField(blank=True, null=True)
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie = models.CharField(max_length=50, blank=True, null=True)
    action = models.CharField(max_length=50, blank=True, null=True)
    description = models.CharField(max_length=300, blank=True, null=True)
    commentaire = models.CharField(max_length=300, blank=True, null=True)
    parametres = models.CharField(max_length=300, blank=True, null=True)
    etat = models.CharField(max_length=50, blank=True, null=True)
    traitement_date = models.DateField(blank=True, null=True)
    periode = models.ForeignKey('PortailPeriodes', on_delete=models.SET_NULL, db_column='IDperiode', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    ref_unique = models.CharField(max_length=50, blank=True, null=True)
    reponse = models.CharField(max_length=450, blank=True, null=True)
    email_date = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'portail_actions'


class PortailMessages(models.Model):
    id = models.AutoField(db_column='IDmessage', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    titre = models.CharField(max_length=255, blank=True, null=True)
    texte = models.CharField(max_length=1000, blank=True, null=True)
    affichage_date_debut = models.DateTimeField(blank=True, null=True)
    affichage_date_fin = models.DateTimeField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'portail_messages'


class PortailPeriodes(models.Model):
    id = models.AutoField(db_column='IDperiode', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=300, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    affichage = models.IntegerField(blank=True, null=True)
    affichage_date_debut = models.DateTimeField(blank=True, null=True)
    affichage_date_fin = models.DateTimeField(blank=True, null=True)
    modele = models.ForeignKey(ModelesTickets, on_delete=models.SET_NULL, db_column='IDmodele', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    introduction = models.CharField(max_length=1000, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'portail_periodes'


class PortailRenseignements(models.Model):
    id = models.AutoField(db_column='IDrenseignement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    champ = models.CharField(max_length=255, blank=True, null=True)
    valeur = models.CharField(max_length=255, blank=True, null=True)
    action = models.ForeignKey(PortailActions, on_delete=models.SET_NULL, db_column='IDaction', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    class Meta:
        managed = False
        db_table = 'portail_renseignements'


class PortailReservations(models.Model):
    id = models.AutoField(db_column='IDreservation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    date = models.DateField(blank=True, null=True)
    inscription = models.ForeignKey(Inscriptions, on_delete=models.SET_NULL, db_column='IDinscription', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite = models.ForeignKey('Unites', on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    action = models.ForeignKey(PortailActions, on_delete=models.SET_NULL, db_column='IDaction', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    etat = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'portail_reservations'


class PortailUnites(models.Model):
    id = models.AutoField(db_column='IDunite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom = models.CharField(max_length=300, blank=True, null=True)
    unites_principales = models.CharField(max_length=300, blank=True, null=True)  # noqa
    unites_secondaires = models.CharField(max_length=300, blank=True, null=True)  # noqa
    ordre = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'portail_unites'


class Prelevements(models.Model):
    id = models.AutoField(db_column='IDprelevement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    lot = models.ForeignKey(PesLots, on_delete=models.SET_NULL, db_column='IDlot', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    prelevement_etab = models.CharField(max_length=50, blank=True, null=True)  # noqa
    prelevement_guichet = models.CharField(max_length=50, blank=True, null=True)  # noqa
    prelevement_numero = models.CharField(max_length=50, blank=True, null=True)  # noqa
    prelevement_banque = models.IntegerField(blank=True, null=True)
    prelevement_cle = models.CharField(max_length=50, blank=True, null=True)
    titulaire = models.CharField(max_length=400, blank=True, null=True)
    type = models.CharField(max_length=400, blank=True, null=True)
    facture = models.ForeignKey(Factures, on_delete=models.SET_NULL, db_column='IDfacture', blank=True, null=True)  # Field name made lowercase.  # noqa
    libelle = models.CharField(max_length=400, blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    statut = models.CharField(max_length=100, blank=True, null=True)
    prelevement_iban = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_bic = models.CharField(max_length=100, blank=True, null=True)  # noqa
    prelevement_reference_mandat = models.CharField(max_length=300, blank=True, null=True)  # noqa
    prelevement_date_mandat = models.DateField(blank=True, null=True)
    mandat = models.ForeignKey(Mandats, on_delete=models.SET_NULL, db_column='IDmandat', blank=True, null=True)  # Field name made lowercase.  # noqa
    sequence = models.CharField(max_length=100, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'prelevements'


class Prestations(models.Model):
    id = models.AutoField(db_column='IDprestation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    categorie = models.CharField(max_length=50, blank=True, null=True)
    label = models.CharField(max_length=200, blank=True, null=True)
    montant_initial = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    facture = models.ForeignKey(Factures, on_delete=models.SET_NULL, db_column='IDfacture', blank=True, null=True)  # Field name made lowercase.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    forfait = models.IntegerField(blank=True, null=True)
    temps_facture = models.CharField(max_length=10, blank=True, null=True)
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    forfait_date_debut = models.CharField(max_length=10, blank=True, null=True)  # noqa
    forfait_date_fin = models.CharField(max_length=10, blank=True, null=True)  # noqa
    reglement_frais = models.IntegerField(blank=True, null=True)
    tva = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    code_compta = models.CharField(max_length=200, blank=True, null=True)
    contrat = models.ForeignKey(Contrats, on_delete=models.SET_NULL, db_column='IDcontrat', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_valeur = models.DateField(blank=True, null=True)
    iddonnee = models.IntegerField(db_column='IDdonnee', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'prestations'


class ProblemesSante(models.Model):
    id = models.AutoField(db_column='IDprobleme', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    idtype = models.IntegerField(db_column='IDtype', blank=True, null=True)  # Field name made lowercase.  # noqa
    intitule = models.CharField(max_length=100, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    description = models.CharField(max_length=2000, blank=True, null=True)
    traitement_medical = models.IntegerField(blank=True, null=True)
    description_traitement = models.CharField(max_length=2000, blank=True, null=True)  # noqa
    date_debut_traitement = models.DateField(blank=True, null=True)
    date_fin_traitement = models.DateField(blank=True, null=True)
    eviction = models.IntegerField(blank=True, null=True)
    date_debut_eviction = models.DateField(blank=True, null=True)
    date_fin_eviction = models.DateField(blank=True, null=True)
    diffusion_listing_enfants = models.IntegerField(blank=True, null=True)
    diffusion_listing_conso = models.IntegerField(blank=True, null=True)
    diffusion_listing_repas = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'problemes_sante'


class Produits(models.Model):
    id = models.AutoField(db_column='IDproduit', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.ForeignKey('QuestionnaireCategories', on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    observations = models.CharField(max_length=1000, blank=True, null=True)
    image = models.BinaryField(blank=True, null=True)
    quantite = models.IntegerField(blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'produits'


class ProduitsCategories(models.Model):
    id = models.AutoField(db_column='IDcategorie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    observations = models.CharField(max_length=1000, blank=True, null=True)
    image = models.BinaryField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'produits_categories'


class Profils(models.Model):
    id = models.AutoField(db_column='IDprofil', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    label = models.CharField(max_length=400, blank=True, null=True)
    categorie = models.CharField(max_length=200, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'profils'


class ProfilsParametres(models.Model):
    id = models.AutoField(db_column='IDparametre', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    profil = models.ForeignKey(Profils, on_delete=models.SET_NULL, db_column='IDprofil', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    parametre = models.CharField(max_length=30000, blank=True, null=True)
    type_donnee = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'profils_parametres'


class QuestionnaireCategories(models.Model):
    id = models.AutoField(db_column='IDcategorie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    visible = models.IntegerField(blank=True, null=True)
    type = models.CharField(max_length=100, blank=True, null=True)
    couleur = models.CharField(max_length=100, blank=True, null=True)
    label = models.CharField(max_length=400, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'questionnaire_categories'


class QuestionnaireChoix(models.Model):
    id = models.AutoField(db_column='IDchoix', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    question = models.ForeignKey('QuestionnaireQuestions', on_delete=models.SET_NULL, db_column='IDquestion', blank=True, null=True)  # Field name made lowercase.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    visible = models.IntegerField(blank=True, null=True)
    label = models.CharField(max_length=400, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'questionnaire_choix'


class QuestionnaireFiltres(models.Model):
    id = models.AutoField(db_column='IDfiltre', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    question = models.ForeignKey('QuestionnaireQuestions', on_delete=models.SET_NULL, db_column='IDquestion', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie = models.CharField(max_length=100, blank=True, null=True)
    choix = models.CharField(max_length=400, blank=True, null=True)
    criteres = models.CharField(max_length=600, blank=True, null=True)
    tarif = models.ForeignKey('Tarifs', on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    iddonnee = models.IntegerField(db_column='IDdonnee', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'questionnaire_filtres'


class QuestionnaireQuestions(models.Model):
    id = models.AutoField(db_column='IDquestion', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.ForeignKey(QuestionnaireCategories, on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    visible = models.IntegerField(blank=True, null=True)
    label = models.CharField(max_length=400, blank=True, null=True)
    controle = models.CharField(max_length=200, blank=True, null=True)
    defaut = models.CharField(max_length=400, blank=True, null=True)
    options = models.CharField(max_length=400, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'questionnaire_questions'


class QuestionnaireReponses(models.Model):
    id = models.AutoField(db_column='IDreponse', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    question = models.ForeignKey(QuestionnaireQuestions, on_delete=models.SET_NULL, db_column='IDquestion', blank=True, null=True)  # Field name made lowercase.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    reponse = models.CharField(max_length=400, blank=True, null=True)
    type = models.CharField(max_length=100, blank=True, null=True)
    iddonnee = models.IntegerField(db_column='IDdonnee', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'questionnaire_reponses'


class Quotients(models.Model):
    id = models.AutoField(db_column='IDquotient', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    quotient = models.IntegerField(blank=True, null=True)
    observations = models.CharField(max_length=500, blank=True, null=True)
    revenu = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    type_quotient = models.ForeignKey('TypesQuotients', on_delete=models.SET_NULL, db_column='IDtype_quotient', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'quotients'


class Rappels(models.Model):
    id = models.AutoField(db_column='IDrappel', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    numero = models.IntegerField(blank=True, null=True)
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_edition = models.DateField(blank=True, null=True)
    activites = models.CharField(max_length=500, blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    texte = models.ForeignKey('TextesRappels', on_delete=models.SET_NULL, db_column='IDtexte', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_reference = models.DateField(blank=True, null=True)
    solde = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    lot = models.ForeignKey(PesLots, on_delete=models.SET_NULL, db_column='IDlot', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    prestations = models.CharField(max_length=500, blank=True, null=True)
    date_min = models.DateField(blank=True, null=True)
    date_max = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'rappels'


class Rattachements(models.Model):
    id = models.AutoField(db_column='IDrattachement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    categorie = models.ForeignKey(QuestionnaireCategories, on_delete=models.SET_NULL, db_column='IDcategorie', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    titulaire = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'rattachements'


class Recus(models.Model):
    id = models.AutoField(db_column='IDrecu', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    numero = models.IntegerField(blank=True, null=True)
    famille = models.ForeignKey(Familles, on_delete=models.SET_NULL, db_column='IDfamille', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_edition = models.DateField(blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    reglement = models.ForeignKey('Reglements', on_delete=models.SET_NULL, db_column='IDreglement', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'recus'


class Regimes(models.Model):
    id = models.AutoField(db_column='IDregime', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'regimes'


class Reglements(models.Model):
    id = models.AutoField(db_column='IDreglement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    mode = models.ForeignKey(ModesReglements, on_delete=models.SET_NULL, db_column='IDmode', blank=True, null=True)  # Field name made lowercase.  # noqa
    emetteur = models.ForeignKey(Emetteurs, on_delete=models.SET_NULL, db_column='IDemetteur', blank=True, null=True)  # Field name made lowercase.  # noqa
    numero_piece = models.CharField(max_length=30, blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    payeur = models.ForeignKey(Payeurs, on_delete=models.SET_NULL, db_column='IDpayeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    observations = models.CharField(max_length=200, blank=True, null=True)
    numero_quittancier = models.CharField(max_length=30, blank=True, null=True)  # noqa
    idprestation_frais = models.IntegerField(db_column='IDprestation_frais', blank=True, null=True)  # Field name made lowercase.  # noqa
    compte = models.ForeignKey(ComptesBancaires, on_delete=models.SET_NULL, db_column='IDcompte', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    date_differe = models.DateField(blank=True, null=True)
    encaissement_attente = models.IntegerField(blank=True, null=True)
    depot = models.ForeignKey(Depots, on_delete=models.SET_NULL, db_column='IDdepot', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_saisie = models.DateField(blank=True, null=True)
    utilisateur = models.ForeignKey('Utilisateurs', on_delete=models.SET_NULL, db_column='IDutilisateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    prelevement = models.ForeignKey(Prelevements, on_delete=models.SET_NULL, db_column='IDprelevement', blank=True, null=True)  # Field name made lowercase.  # noqa
    avis_depot = models.DateField(blank=True, null=True)
    piece = models.ForeignKey(Pieces, on_delete=models.SET_NULL, db_column='IDpiece', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    class Meta:
        managed = False
        db_table = 'reglements'


class Remplissage(models.Model):
    id = models.AutoField(db_column='IDremplissage', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite_remplissage = models.ForeignKey('UnitesRemplissage', on_delete=models.SET_NULL, db_column='IDunite_remplissage', blank=True, null=True)  # Field name made lowercase.  # noqa
    groupe = models.ForeignKey(Groupes, on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)
    places = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'remplissage'


class RenseignementsActivites(models.Model):
    id = models.AutoField(db_column='IDrenseignement', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    idtype_renseignement = models.IntegerField(db_column='IDtype_renseignement', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'renseignements_activites'


class ResponsablesActivite(models.Model):
    id = models.AutoField(db_column='IDresponsable', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    sexe = models.CharField(max_length=10, blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    fonction = models.CharField(max_length=200, blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'responsables_activite'


class Restaurateurs(models.Model):
    id = models.AutoField(db_column='IDrestaurateur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    rue = models.CharField(max_length=200, blank=True, null=True)
    cp = models.CharField(max_length=10, blank=True, null=True)
    ville = models.CharField(max_length=100, blank=True, null=True)
    tel = models.CharField(max_length=50, blank=True, null=True)
    fax = models.CharField(max_length=50, blank=True, null=True)
    email = models.EmailField(db_column='mail', max_length=100, blank=True, null=True)  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'restaurateurs'


class SauvegardesAuto(models.Model):
    id = models.AutoField(db_column='IDsauvegarde', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=455, blank=True, null=True)
    observations = models.CharField(max_length=455, blank=True, null=True)
    date_derniere = models.DateField(blank=True, null=True)
    sauvegarde_nom = models.CharField(max_length=455, blank=True, null=True)
    sauvegarde_motdepasse = models.CharField(max_length=455, blank=True, null=True)  # noqa
    sauvegarde_repertoire = models.CharField(max_length=455, blank=True, null=True)  # noqa
    sauvegarde_emails = models.CharField(max_length=455, blank=True, null=True)  # noqa
    sauvegarde_fichiers_locaux = models.CharField(max_length=455, blank=True, null=True)  # noqa
    sauvegarde_fichiers_reseau = models.CharField(max_length=455, blank=True, null=True)  # noqa
    condition_jours_scolaires = models.CharField(max_length=455, blank=True, null=True)  # noqa
    condition_jours_vacances = models.CharField(max_length=455, blank=True, null=True)  # noqa
    condition_heure = models.CharField(max_length=455, blank=True, null=True)  # noqa
    condition_poste = models.CharField(max_length=455, blank=True, null=True)  # noqa
    condition_derniere = models.CharField(max_length=455, blank=True, null=True)  # noqa
    condition_utilisateur = models.CharField(max_length=455, blank=True, null=True)  # noqa
    option_afficher_interface = models.CharField(max_length=455, blank=True, null=True)  # noqa
    option_demander = models.CharField(max_length=455, blank=True, null=True)  # noqa
    option_confirmation = models.CharField(max_length=455, blank=True, null=True)  # noqa
    option_suppression = models.CharField(max_length=455, blank=True, null=True)  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'sauvegardes_auto'


class Scolarite(models.Model):
    id = models.AutoField(db_column='IDscolarite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    ecole = models.ForeignKey(Ecoles, on_delete=models.SET_NULL, db_column='IDecole', blank=True, null=True)  # Field name made lowercase.  # noqa
    classe = models.ForeignKey(Classes, on_delete=models.SET_NULL, db_column='IDclasse', blank=True, null=True)  # Field name made lowercase.  # noqa
    niveau = models.ForeignKey(NiveauxScolaires, on_delete=models.SET_NULL, db_column='IDniveau', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'scolarite'


class Secteurs(models.Model):
    id = models.AutoField(db_column='IDsecteur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'secteurs'


class Tarifs(models.Model):
    id = models.AutoField(db_column='IDtarif', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    type = models.CharField(max_length=50, blank=True, null=True)
    categorie_tarif = models.ForeignKey(CategoriesTarifs, on_delete=models.SET_NULL, db_column='IDcategorie_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    nom_tarif = models.ForeignKey(NomsTarifs, on_delete=models.SET_NULL, db_column='IDnom_tarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    condition_nbre_combi = models.IntegerField(blank=True, null=True)
    condition_periode = models.CharField(max_length=100, blank=True, null=True)  # noqa
    condition_nbre_jours = models.IntegerField(blank=True, null=True)
    condition_conso_facturees = models.IntegerField(blank=True, null=True)
    condition_dates_continues = models.IntegerField(blank=True, null=True)
    forfait_saisie_manuelle = models.IntegerField(blank=True, null=True)
    forfait_saisie_auto = models.IntegerField(blank=True, null=True)
    forfait_suppression_auto = models.IntegerField(blank=True, null=True)
    methode = models.CharField(max_length=50, blank=True, null=True)
    categories_tarifs = models.CharField(max_length=300, blank=True, null=True)  # noqa
    groupes = models.CharField(max_length=300, blank=True, null=True)
    forfait_duree = models.CharField(max_length=50, blank=True, null=True)
    forfait_beneficiaire = models.CharField(max_length=50, blank=True, null=True)  # noqa
    cotisations = models.CharField(max_length=300, blank=True, null=True)
    caisses = models.CharField(max_length=300, blank=True, null=True)
    description = models.CharField(max_length=450, blank=True, null=True)
    jours_scolaires = models.CharField(max_length=100, blank=True, null=True)  # noqa
    jours_vacances = models.CharField(max_length=100, blank=True, null=True)
    options = models.CharField(max_length=450, blank=True, null=True)
    observations = models.CharField(max_length=450, blank=True, null=True)
    tva = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    code_compta = models.CharField(max_length=200, blank=True, null=True)
    date_facturation = models.CharField(max_length=450, blank=True, null=True)  # noqa
    etiquettes = models.CharField(max_length=450, blank=True, null=True)
    etats = models.CharField(max_length=150, blank=True, null=True)
    type_quotient = models.ForeignKey('TypesQuotients', on_delete=models.SET_NULL, db_column='IDtype_quotient', blank=True, null=True)  # Field name made lowercase.  # noqa
    label_prestation = models.CharField(max_length=300, blank=True, null=True)  # noqa
    evenement = models.ForeignKey(Evenements, on_delete=models.SET_NULL, db_column='IDevenement', blank=True, null=True)  # Field name made lowercase.  # noqa
    produit = models.ForeignKey(Produits, on_delete=models.SET_NULL, db_column='IDproduit', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'tarifs'


class TarifsLignes(models.Model):
    id = models.AutoField(db_column='IDligne', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    tarif = models.ForeignKey(Tarifs, on_delete=models.SET_NULL, db_column='IDtarif', blank=True, null=True)  # Field name made lowercase.  # noqa
    code = models.CharField(max_length=50, blank=True, null=True)
    num_ligne = models.IntegerField(blank=True, null=True)
    tranche = models.CharField(max_length=10, blank=True, null=True)
    qf_min = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    qf_max = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_unique = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_enfant_1 = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_enfant_2 = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_enfant_3 = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_enfant_4 = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_enfant_5 = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_enfant_6 = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    nbre_enfants = models.IntegerField(blank=True, null=True)
    coefficient = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_min = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_max = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    heure_debut_min = models.TimeField(blank=True, null=True)
    heure_debut_max = models.TimeField(blank=True, null=True)
    heure_fin_min = models.TimeField(blank=True, null=True)
    heure_fin_max = models.TimeField(blank=True, null=True)
    duree_min = models.DateField(blank=True, null=True)
    duree_max = models.DateField(blank=True, null=True)
    date = models.DateField(blank=True, null=True)
    label = models.CharField(max_length=300, blank=True, null=True)
    temps_facture = models.DateField(blank=True, null=True)
    unite_horaire = models.DateField(blank=True, null=True)
    duree_seuil = models.DateField(blank=True, null=True)
    duree_plafond = models.DateField(blank=True, null=True)
    taux = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    ajustement = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    montant_questionnaire = models.IntegerField(blank=True, null=True)
    revenu_min = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    revenu_max = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    modele = models.ForeignKey(ModelesTickets, on_delete=models.SET_NULL, db_column='IDmodele', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    class Meta:
        managed = False
        db_table = 'tarifs_lignes'


class TextesRappels(models.Model):
    id = models.AutoField(db_column='IDtexte', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    label = models.CharField(max_length=255, blank=True, null=True)
    couleur = models.CharField(max_length=50, blank=True, null=True)
    retard_min = models.IntegerField(blank=True, null=True)
    retard_max = models.IntegerField(blank=True, null=True)
    titre = models.CharField(max_length=255, blank=True, null=True)
    texte_xml = models.CharField(max_length=5000, blank=True, null=True)
    texte_pdf = models.CharField(max_length=5000, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'textes_rappels'


class Transports(models.Model):
    id = models.AutoField(db_column='IDtransport', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    mode = models.CharField(max_length=100, blank=True, null=True)
    categorie = models.CharField(max_length=100, blank=True, null=True)
    compagnie = models.ForeignKey('TransportsCompagnies', on_delete=models.SET_NULL, db_column='IDcompagnie', blank=True, null=True)  # Field name made lowercase.  # noqa
    ligne = models.ForeignKey('TransportsLignes', on_delete=models.SET_NULL, db_column='IDligne', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    numero = models.CharField(max_length=200, blank=True, null=True)
    details = models.CharField(max_length=300, blank=True, null=True)
    observations = models.CharField(max_length=400, blank=True, null=True)
    depart_date = models.DateField(blank=True, null=True)
    depart_heure = models.TimeField(blank=True, null=True)
    depart_idarret = models.IntegerField(db_column='depart_IDarret', blank=True, null=True)  # Field name made lowercase.  # noqa
    depart_idlieu = models.IntegerField(db_column='depart_IDlieu', blank=True, null=True)  # Field name made lowercase.  # noqa
    depart_localisation = models.CharField(max_length=400, blank=True, null=True)  # noqa
    arrivee_date = models.DateField(blank=True, null=True)
    arrivee_heure = models.TimeField(blank=True, null=True)
    arrivee_idarret = models.IntegerField(db_column='arrivee_IDarret', blank=True, null=True)  # Field name made lowercase.  # noqa
    arrivee_idlieu = models.IntegerField(db_column='arrivee_IDlieu', blank=True, null=True)  # Field name made lowercase.  # noqa
    arrivee_localisation = models.CharField(max_length=400, blank=True, null=True)  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    actif = models.IntegerField(blank=True, null=True)
    jours_scolaires = models.CharField(max_length=200, blank=True, null=True)  # noqa
    jours_vacances = models.CharField(max_length=200, blank=True, null=True)
    unites = models.CharField(max_length=480, blank=True, null=True)
    prog = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'transports'


class TransportsArrets(models.Model):
    id = models.AutoField(db_column='IDarret', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    ligne = models.ForeignKey('TransportsLignes', on_delete=models.SET_NULL, db_column='IDligne', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    nom = models.CharField(max_length=300, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'transports_arrets'


class TransportsCompagnies(models.Model):
    id = models.AutoField(db_column='IDcompagnie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=200, blank=True, null=True)
    nom = models.CharField(max_length=300, blank=True, null=True)
    rue = models.CharField(max_length=200, blank=True, null=True)
    cp = models.CharField(max_length=10, blank=True, null=True)
    ville = models.CharField(max_length=200, blank=True, null=True)
    tel = models.CharField(max_length=50, blank=True, null=True)
    fax = models.CharField(max_length=50, blank=True, null=True)
    email = models.EmailField(db_column='mail', max_length=100, blank=True, null=True)  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'transports_compagnies'


class TransportsLieux(models.Model):
    id = models.AutoField(db_column='IDlieu', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=200, blank=True, null=True)
    nom = models.CharField(max_length=300, blank=True, null=True)
    cp = models.CharField(max_length=10, blank=True, null=True)
    ville = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'transports_lieux'


class TransportsLignes(models.Model):
    id = models.AutoField(db_column='IDligne', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    categorie = models.CharField(max_length=200, blank=True, null=True)
    nom = models.CharField(max_length=300, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'transports_lignes'


class TypesCotisations(models.Model):
    id = models.AutoField(db_column='IDtype_cotisation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=200, blank=True, null=True)
    type = models.CharField(max_length=50, blank=True, null=True)
    carte = models.IntegerField(blank=True, null=True)
    defaut = models.IntegerField(blank=True, null=True)
    code_comptable = models.CharField(max_length=450, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_cotisations'


class TypesGroupesActivites(models.Model):
    id = models.AutoField(db_column='IDtype_groupe_activite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)
    observations = models.CharField(max_length=500, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_groupes_activites'


class TypesMaladies(models.Model):
    id = models.AutoField(db_column='IDtype_maladie', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    vaccin_obligatoire = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_maladies'


class TypesPieces(models.Model):
    id = models.AutoField(db_column='IDtype_piece', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    public = models.CharField(max_length=12, blank=True, null=True)
    duree_validite = models.CharField(max_length=50, blank=True, null=True)
    valide_rattachement = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_pieces'


class TypesQuotients(models.Model):
    id = models.AutoField(db_column='IDtype_quotient', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_quotients'


class TypesSieste(models.Model):
    id = models.AutoField(db_column='IDtype_sieste', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=255, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_sieste'


class TypesVaccins(models.Model):
    id = models.AutoField(db_column='IDtype_vaccin', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    duree_validite = models.CharField(max_length=50, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'types_vaccins'


class Unites(models.Model):
    id = models.AutoField(db_column='IDunite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    abrege = models.CharField(max_length=50, blank=True, null=True)
    type = models.CharField(max_length=20, blank=True, null=True)
    heure_debut = models.TimeField(blank=True, null=True)
    heure_debut_fixe = models.IntegerField(blank=True, null=True)
    heure_fin = models.TimeField(blank=True, null=True)
    heure_fin_fixe = models.IntegerField(blank=True, null=True)
    repas = models.IntegerField(blank=True, null=True)
    restaurateur = models.ForeignKey(Restaurateurs, on_delete=models.SET_NULL, db_column='IDrestaurateur', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    touche_raccourci = models.CharField(max_length=30, blank=True, null=True)  # noqa
    largeur = models.IntegerField(blank=True, null=True)
    coeff = models.CharField(max_length=50, blank=True, null=True)
    autogen_active = models.IntegerField(blank=True, null=True)
    autogen_conditions = models.CharField(max_length=400, blank=True, null=True)  # noqa
    autogen_parametres = models.CharField(max_length=400, blank=True, null=True)  # noqa

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'unites'


class UnitesCotisations(models.Model):
    id = models.AutoField(db_column='IDunite_cotisation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type_cotisation = models.ForeignKey(TypesCotisations, on_delete=models.SET_NULL, db_column='IDtype_cotisation', blank=True, null=True)  # Field name made lowercase.  # noqa
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa
    label_prestation = models.CharField(max_length=200, blank=True, null=True)  # noqa
    defaut = models.IntegerField(blank=True, null=True)
    duree = models.CharField(max_length=100, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'unites_cotisations'


class UnitesGroupes(models.Model):
    id = models.AutoField(db_column='IDunite_groupe', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    unite = models.ForeignKey(Unites, on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    groupe = models.ForeignKey(Groupes, on_delete=models.SET_NULL, db_column='IDgroupe', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'unites_groupes'


class UnitesIncompat(models.Model):
    id = models.AutoField(db_column='IDunite_incompat', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    unite = models.ForeignKey(Unites, on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa
    idunite_incompatible = models.IntegerField(db_column='IDunite_incompatible', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'unites_incompat'


class UnitesRemplissage(models.Model):
    id = models.AutoField(db_column='IDunite_remplissage', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    activite = models.ForeignKey(Activites, on_delete=models.SET_NULL, db_column='IDactivite', blank=True, null=True)  # Field name made lowercase.  # noqa
    ordre = models.IntegerField(blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    abrege = models.CharField(max_length=50, blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)
    seuil_alerte = models.IntegerField(blank=True, null=True)
    heure_max = models.CharField(max_length=10, blank=True, null=True)
    heure_min = models.CharField(max_length=10, blank=True, null=True)
    afficher_page_accueil = models.IntegerField(blank=True, null=True)
    afficher_grille_conso = models.IntegerField(blank=True, null=True)
    etiquettes = models.CharField(max_length=450, blank=True, null=True)
    largeur = models.IntegerField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'unites_remplissage'


class UnitesRemplissageUnites(models.Model):
    id = models.AutoField(db_column='IDunite_remplissage_unite', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    unite_remplissage = models.ForeignKey(UnitesRemplissage, on_delete=models.SET_NULL, db_column='IDunite_remplissage', blank=True, null=True)  # Field name made lowercase.  # noqa
    unite = models.ForeignKey(Unites, on_delete=models.SET_NULL, db_column='IDunite', blank=True, null=True)  # Field name made lowercase. Ambiguous foreign key. You should precise it in the relation dict.  # noqa

    class Meta:
        managed = False
        db_table = 'unites_remplissage_unites'


class Utilisateurs(models.Model):
    id = models.AutoField(db_column='IDutilisateur', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    sexe = models.CharField(max_length=5, blank=True, null=True)
    nom = models.CharField(max_length=200, blank=True, null=True)
    prenom = models.CharField(max_length=200, blank=True, null=True)
    mdp = models.CharField(max_length=100, blank=True, null=True)
    profil = models.CharField(max_length=100, blank=True, null=True)
    actif = models.IntegerField(blank=True, null=True)
    image = models.CharField(max_length=200, blank=True, null=True)
    mdpcrypt = models.CharField(max_length=200, blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'utilisateurs'


class Vacances(models.Model):
    id = models.AutoField(db_column='IDvacance', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    nom = models.CharField(max_length=100, blank=True, null=True)
    annee = models.IntegerField(blank=True, null=True)
    date_debut = models.DateField(blank=True, null=True)
    date_fin = models.DateField(blank=True, null=True)

    def __str__(self):
        return self.nom

    class Meta:
        managed = False
        db_table = 'vacances'


class Vaccins(models.Model):
    id = models.AutoField(db_column='IDvaccin', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    individu = models.ForeignKey(Individus, on_delete=models.SET_NULL, db_column='IDindividu', blank=True, null=True)  # Field name made lowercase.  # noqa
    type_vaccin = models.ForeignKey(TypesVaccins, on_delete=models.SET_NULL, db_column='IDtype_vaccin', blank=True, null=True)  # Field name made lowercase.  # noqa
    date = models.DateField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'vaccins'


class VaccinsMaladies(models.Model):
    id = models.AutoField(db_column='IDvaccins_maladies', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    type_vaccin = models.ForeignKey(TypesVaccins, on_delete=models.SET_NULL, db_column='IDtype_vaccin', blank=True, null=True)  # Field name made lowercase.  # noqa
    type_maladie = models.ForeignKey(TypesMaladies, on_delete=models.SET_NULL, db_column='IDtype_maladie', blank=True, null=True)  # Field name made lowercase.  # noqa

    class Meta:
        managed = False
        db_table = 'vaccins_maladies'


class Ventilation(models.Model):
    id = models.AutoField(db_column='IDventilation', primary_key=True)  # Field name made lowercase. Guessed AutoField, since DB connection cannot introspect it.  # noqa
    compte_payeur = models.ForeignKey(ComptesPayeurs, on_delete=models.SET_NULL, db_column='IDcompte_payeur', blank=True, null=True)  # Field name made lowercase.  # noqa
    reglement = models.ForeignKey(Reglements, on_delete=models.SET_NULL, db_column='IDreglement', blank=True, null=True)  # Field name made lowercase.  # noqa
    prestation = models.ForeignKey(Prestations, on_delete=models.SET_NULL, db_column='IDprestation', blank=True, null=True)  # Field name made lowercase.  # noqa
    montant = models.TextField(blank=True, null=True)  # This field type is a guess.  # noqa

    class Meta:
        managed = False
        db_table = 'ventilation'
