# Resthys - Une interface REST partielle pour Noethys
# Copyright (C) 2018  Cliss XXI <tech@cliss21.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


class NoethysRouter:
    def db_for_read(self, model, **hints):
        if model._meta.app_label == 'base':
            return 'noethys'
        return None

    def db_for_write(self, model, **hints):
        if model._meta.app_label == 'base':
            return 'noethys'
        return None

    def allow_relation(self, obj1, obj2, **hints):
        """
        We disallow cross db relations from/to noethys.
        """
        app1, app2 = obj1._meta.app_label, obj2._meta.app_label
        if 'base' in [app1, app2]:
            return app1 == app2
        return None

    def allow_migrate(self, db, app_label, model_name=None, **hints):
        """
        We disallow migrations for this db.
        """
        if db == 'noethys':
            return False
        return None
